Subject: Re: Documentation problems

From: Bruce Korb <[email-masked]>
Date: Sun, 20 Sep 2009 11:37:25 -0700

Hi Matthieu,
>> I'm trying to figure out what a ``tree-ish''.

>> I need a translation.  :(  Thank you.  Regards, Bruce
> 
> tree = directory (with its content).
> 
> For example, the last commit in the current branch is a Git object of
> type "commit", which contains mostly a log message, a few headers, and
> a pointer to the tree object corresponding to the content of the
> directory in which you made the commit (modulo what you excluded from
> the commit of course). Therefore, the name of this commit, although
> not really a tree, is a tree-ish in that it talks about one and only
> one tree. You could name it HEAD, a sha1sum (like
> 5a2abc12d64a5e00daa6aebbb673715f365a564a), the name of the branch
> (like "master"), ...

Since I haven't created any any branches (to my knowledge), it seems
that "master" is the magic branch name.  My goal was just to get a
list of managed files.  Is "master" going to remain my "HEAD" now?
(Assuming I don't do something to make a new branch.  One branch
is enough for my little one person project....)

> Just type "git ls-tree --name-only".
Ah.  Thank you.
> git-ls-tree is the old way to
> refer to the command name. Normally, any reference to dashed names
> should have been removed from the documentation by now (so most likely
> you see it in your distro because it's an old enough version,
> otherwise, it's a bug in the doc).

$ git --version
git version 1.6.0.2

I guess the man pages and installation were out of sync for that release.

Thank you for the quick reply!  Regards, Bruce